﻿using UnityEngine;
using UnityEngine.UI;

namespace JudgeModule
{
    class MotionGageManager
    {
        public GameObject motionGuage;

        private float     motionTimeout,
                          baseTime;

        public void ResetGuage(float timeout = 0f, float basetime = 0f)
        {
            motionTimeout = timeout;
            baseTime = basetime;
            motionGuage.transform.parent.gameObject.SetActive(timeout != 0f);
        }
        public void UpdateGuage(float timing)
        {
            motionGuage.GetComponent<Image>().fillAmount = (timing - baseTime) / motionTimeout;
        }
    }
}
